package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.RoomBedCheckRecordPageDto;
import com.xjrsoft.module.room.entity.RoomBedCheckRecord;
import com.xjrsoft.module.room.vo.RoomBedCheckRecordEchoVo;
import com.xjrsoft.module.room.vo.RoomBedCheckRecordPageVo;
import com.xjrsoft.module.room.vo.RoomBedCheckRecordVo;

import java.util.List;

/**
* @title: 查寝记录
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/

public interface IRoomBedCheckRecordService extends MPJBaseService<RoomBedCheckRecord> {
    /**
    * 新增
    *
    * @param roomBedCheckRecord
    * @return
    */
    Boolean add(RoomBedCheckRecord roomBedCheckRecord);

    /**
    * 更新
    *
    * @param roomBedCheckRecord
    * @return
    */
    Boolean update(RoomBedCheckRecord roomBedCheckRecord);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 获取分页
     * @param dto
     * @return
     */
    IPage<RoomBedCheckRecordPageVo> getPage(RoomBedCheckRecordPageDto dto);

    /**
     * 获取分页
     * @param dto
     * @return
     */
    IPage<RoomBedCheckRecordPageVo> getPageMobile(RoomBedCheckRecordPageDto dto);

    RoomBedCheckRecordVo getInfo(Long id);

    RoomBedCheckRecordEchoVo getEcho();
}
